> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-features/technical-specification/feature.md).

# Feature

## GET /collections/{collectionId}/items/{featureId}

> Retrieve a feature from the feature collection

```json
{"openapi":"3.0.1","info":{"title":"OS NGD API – Features","version":"v1.8.1"},"tags":[{"name":"Features","description":"Retrieve features"}],"servers":[{"url":"https://api.os.uk/features/ngd/ofa/v1"}],"security":[{"api-key":[],"api-key-header":[],"oauth2":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","name":"key","in":"query"}},"schemas":{"Feature":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"geometry":{"$ref":"#/components/schemas/Geometry"},"properties":{"type":"object","additionalProperties":{"type":"object"}}}},"Geometry":{"type":"object","properties":{"type":{"type":"string"},"coordinates":{"type":"array","items":{"$ref":"#/components/schemas/Coordinate"}}}},"Coordinate":{"type":"object","properties":{"x":{"type":"number","format":"double"},"y":{"type":"number","format":"double"}}}}},"paths":{"/collections/{collectionId}/items/{featureId}":{"get":{"tags":["Features"],"summary":"Retrieve a feature from the feature collection","operationId":"getItemById","parameters":[{"name":"collectionId","in":"path","description":"A known collection ID.","required":true,"schema":{"type":"string","enum":["asu-gbpcd-postcodeunitarea-1","asu-gbpcd-postcodeunitpoint-1","bld-fts-building-1","bld-fts-building-2","bld-fts-building-3","bld-fts-building-4","bld-fts-buildingaccesslocation-1","bld-fts-buildingline-1","bld-fts-buildingpart-1","bld-fts-buildingpart-2","gnm-fts-crowdsourcednamepoint-1","gnm-fts-namedarea-1","gnm-fts-namedpoint-1","gnm-fts-namedroadjunction-1","lnd-fts-land-1","lnd-fts-land-2","lnd-fts-land-3","lnd-fts-landform-1","lnd-fts-landformline-1","lnd-fts-landformpoint-1","lnd-fts-landpoint-1","lus-fts-site-1","lus-fts-site-2","lus-fts-siteaccesslocation-1","lus-fts-siteaccesslocation-2","lus-fts-siteroutingpoint-1","str-fts-compoundstructure-1","str-fts-compoundstructure-2","str-fts-compoundstructure-3","str-fts-fieldboundary-1","str-fts-structure-1","str-fts-structure-2","str-fts-structure-3","str-fts-structureline-1","str-fts-structurepoint-1","trn-fts-cartographicraildetail-1","trn-fts-rail-1","trn-fts-rail-2","trn-fts-rail-3","trn-fts-roadline-1","trn-fts-roadtrackorpath-1","trn-fts-roadtrackorpath-2","trn-fts-roadtrackorpath-3","trn-fts-streetlight-1","trn-ntwk-buslane-1","trn-ntwk-connectinglink-1","trn-ntwk-connectingnode-1","trn-ntwk-cyclelane-1","trn-ntwk-ferrylink-1","trn-ntwk-ferrynode-1","trn-ntwk-ferryterminal-1","trn-ntwk-path-1","trn-ntwk-pathlink-1","trn-ntwk-pathlink-2","trn-ntwk-pathlink-3","trn-ntwk-pathnode-1","trn-ntwk-pavementlink-1","trn-ntwk-railwaylink-1","trn-ntwk-railwaylinkset-1","trn-ntwk-railwaynode-1","trn-ntwk-road-1","trn-ntwk-roadjunction-1","trn-ntwk-roadlink-1","trn-ntwk-roadlink-2","trn-ntwk-roadlink-3","trn-ntwk-roadlink-4","trn-ntwk-roadlink-5","trn-ntwk-roadnode-1","trn-ntwk-street-1","trn-ntwk-tramonroad-1","trn-rami-averageandindicativespeed-1","trn-rami-highwaydedication-1","trn-rami-maintenancearea-1","trn-rami-maintenanceline-1","trn-rami-maintenancepoint-1","trn-rami-reinstatementarea-1","trn-rami-reinstatementline-1","trn-rami-reinstatementpoint-1","trn-rami-restriction-1","trn-rami-routinghazard-1","trn-rami-routingstructure-1","trn-rami-specialdesignationarea-1","trn-rami-specialdesignationline-1","trn-rami-specialdesignationpoint-1","wtr-fts-intertidalline-1","wtr-fts-tidalboundary-1","wtr-fts-water-1","wtr-fts-water-2","wtr-fts-water-3","wtr-fts-waterpoint-1","wtr-ntwk-waterlink-1","wtr-ntwk-waterlink-2","wtr-ntwk-waterlinkset-1","wtr-ntwk-waternode-1"]}},{"name":"featureId","in":"path","description":"A feature ID which is the identifier(id) for the feature.","required":true,"schema":{"type":"string"}},{"name":"crs","in":"query","description":"The coordinate reference system of the response geometries. It must be a coordinate reference system supported by the collection. Default is WGS84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84).","schema":{"type":"string","enum":["http://www.opengis.net/def/crs/OGC/1.3/CRS84","http://www.opengis.net/def/crs/EPSG/0/27700","http://www.opengis.net/def/crs/EPSG/0/4326","http://www.opengis.net/def/crs/EPSG/0/3857","http://www.opengis.net/def/crs/EPSG/0/7405"]}}],"responses":{"200":{"description":"A single feature in the feature collection.","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/Feature"}}}},"400":{"description":"The feature request contains elements that are not supported. Please refer to documentation for examples."},"404":{"description":"The feature collection '{collectionId}' or feature with id:'{featureId}' could not be found. Please check it is a supported collection or feature."},"405":{"description":"The HTTP method requested is not supported. This endpoint only supports 'GET' requests."},"406":{"description":"A request header value was not supported."},"504":{"description":"The request has timed out. Please check the service availability dashboard: https://osdatahub.os.uk/serviceStatus ."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-ngd-api-features/technical-specification/feature.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
